import { jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const commonButtonClassNameGenerator = ce({
    base: [
        '[&&]:shr-flex [&&]:shr-items-center [&&]:shr-w-full [&&]:shr-px-1 [&&]:shr-py-0.5 [&&]:shr-box-border [&&]:shr-bg-transparent [&&]:shr-text-base [&&]:shr-text-black [&&]:shr-leading-normal [&&]:shr-no-underline [&&]:shr-rounded-m [&&]:shr-cursor-pointer [&&]:shr-border-none',
        '[&&]:hover:shr-bg-white-darken',
        '[&&]:focus-visible:shr-bg-white-darken',
    ],
    variants: {
        prefix: {
            true: ['[&&]:shr-gap-0.5'],
        },
        current: {
            true: ['[&&]:shr-bg-white-darken'],
        },
        boldWhenCurrent: {
            true: null,
            false: ['[&&]:shr-font-normal'],
        },
    },
    compoundVariants: [
        {
            boldWhenCurrent: true,
            current: true,
            className: ['[&&]:shr-font-bold'],
        },
    ],
});
const CommonButton = memo(({ elementAs, prefix, current, boldWhenCurrent, className, ...props }) => {
    const actualClassName = useMemo(() => commonButtonClassNameGenerator({
        prefix: !!prefix,
        current,
        boldWhenCurrent,
        className,
    }), [current, prefix, boldWhenCurrent, className]);
    switch (elementAs) {
        case 'a':
            return (jsxs("a", { ...props, className: actualClassName, children: [prefix, props.children] }));
        case 'button':
            return (
            // eslint-disable-next-line smarthr/best-practice-for-button-element
            jsxs("button", { ...props, className: actualClassName, children: [prefix, props.children] }));
    }
    throw new Error(elementAs);
});

export { CommonButton, commonButtonClassNameGenerator };
//# sourceMappingURL=CommonButton.js.map
