import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base.js';

const classNameGenerator = ce({
    base: 'shr-rounded-[unset]',
    variants: {
        bgColor: {
            BACKGROUND: 'shr-bg-background',
            COLUMN: 'shr-bg-column',
            BASE_GREY: 'shr-bg-base-grey',
            OVER_BACKGROUND: 'shr-bg-over-background',
            HEAD: 'shr-bg-head',
            BORDER: 'shr-bg-[theme(colors.grey.20)]',
            ACTION_BACKGROUND: 'shr-bg-action-background',
            WHITE: 'shr-bg-white',
            GREY_5: 'shr-bg-[theme(colors.grey.5)]',
            GREY_6: 'shr-bg-[theme(colors.grey.6)]',
            GREY_7: 'shr-bg-[theme(colors.grey.7)]',
            GREY_9: 'shr-bg-[theme(colors.grey.9)]',
            GREY_20: 'shr-bg-[theme(colors.grey.20)]',
        },
    },
    defaultVariants: {
        bgColor: 'COLUMN',
    },
});
const BaseColumn = ({ bgColor, padding = 1, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ bgColor, className }), [bgColor, className]);
    return jsx(Base, { ...props, padding: padding, layer: 0, className: actualClassName });
};

export { BaseColumn, classNameGenerator };
//# sourceMappingURL=BaseColumn.js.map
