import { type ButtonHTMLAttributes } from 'react';
import { type DecoratorsType } from '../../hooks/useDecorators';
import type { BaseProps } from './types';
type ElementProps = Omit<ButtonHTMLAttributes<HTMLButtonElement>, keyof BaseProps>;
export type Props = {
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly loading: "処理中";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare const Button: import("react").ForwardRefExoticComponent<{
    size?: "default" | "s";
    disabledDetail?: {
        icon?: import("react").FunctionComponent;
        message: import("react").ReactNode;
    };
    prefix?: import("react").ReactNode;
    suffix?: import("react").ReactNode;
    wide?: boolean;
    variant?: import("./types").Variant;
    loading?: boolean;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps & Props & import("react").RefAttributes<HTMLButtonElement>>;
export {};
