import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-Chip',
        'shr-border-shorthand shr-rounded-full shr-bg-white shr-text-black shr-leading-none',
        'contrast-more:shr-border-high-contrast',
    ],
    variants: {
        color: {
            grey: 'shr-border-grey-20',
            blue: 'shr-border-main',
            /* green がトークン化されたら置き換える */
            green: 'shr-border-[#0f7f85]',
            /* oragen がトークン化されたら置き換える */
            orange: 'shr-border-[#ff8800]',
            red: 'shr-border-danger',
        },
        size: {
            s: 'shr-text-sm shr-px-0.5 shr-py-0.25',
        },
        disabled: {
            true: 'shr-bg-white/50 shr-text-disabled',
        },
    },
    defaultVariants: {
        size: 's',
        color: 'grey',
    },
});
const Chip = ({ size, color, disabled, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ size, color, disabled, className }), [size, color, disabled, className]);
    return jsx("span", { ...props, className: actualClassName });
};

export { Chip, classNameGenerator };
//# sourceMappingURL=Chip.js.map
