import { type RefObject } from 'react';
import { type DecoratorsType } from '../../../hooks/useDecorators';
import type { ComboboxItem } from '../types';
export type Props<T> = {
    item: ComboboxItem<T> & {
        deletable?: boolean;
    };
    disabled: boolean;
    onDelete: (item: ComboboxItem<T>) => void;
    enableEllipsis?: boolean;
    buttonRef: RefObject<HTMLButtonElement>;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly destroyButtonIconAltSuffix: "を削除";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare function MultiSelectedItem<T>({ item, disabled, onDelete, enableEllipsis, buttonRef, decorators, }: Props<T>): import("react/jsx-runtime").JSX.Element;
export {};
