"use client";
import { jsx } from 'react/jsx-runtime';
import { useId, useCallback } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { ActionDialogContentInner } from './ActionDialogContentInner.js';

const ActionDialog = ({ children, title, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onClickAction, onClickClose, onPressEscape = onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const titleId = useId();
    const handleClickClose = useCallback(() => {
        if (props.isOpen) {
            onClickClose();
        }
    }, [onClickClose, props.isOpen]);
    const handleClickAction = useCallback(() => {
        if (props.isOpen) {
            onClickAction(onClickClose);
        }
    }, [onClickAction, onClickClose, props.isOpen]);
    return createPortal(jsx(DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, children: jsx(ActionDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, onClickClose: handleClickClose, onClickAction: handleClickAction, subActionArea: subActionArea, responseStatus: responseStatus, decorators: decorators, children: children }) }));
};

export { ActionDialog };
//# sourceMappingURL=ActionDialog.js.map
