"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext, useCallback, useId } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { DialogContext } from '../DialogWrapper.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { ActionDialogContentInner } from './ActionDialogContentInner.js';

const ActionDialogContent = ({ children, title, contentBgColor, contentPadding, actionText, actionTheme, onClickAction, actionDisabled, portalParent, className = '', decorators, ...props }) => {
    const { onClickClose, active } = useContext(DialogContext);
    const { createPortal } = useDialogPortal(portalParent);
    const handleClickClose = useCallback(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const handleClickAction = useCallback(() => {
        if (active) {
            onClickAction(onClickClose);
        }
    }, [active, onClickAction, onClickClose]);
    const titleId = useId();
    return createPortal(jsx(DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, ariaLabelledby: titleId, className: className, children: jsx(ActionDialogContentInner, { title: title, titleId: titleId, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, onClickAction: handleClickAction, onClickClose: handleClickClose, actionDisabled: actionDisabled, decorators: decorators, children: children }) }));
};

export { ActionDialogContent };
//# sourceMappingURL=ActionDialogContent.js.map
