"use client";
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { useId, useState, useCallback, useMemo, cloneElement } from 'react';
import { ActionDialog } from '../ActionDialog/ActionDialog.js';
import '../DialogContentInner.js';
import '../DialogWrapper.js';
import 'react-dom';
import '../ActionDialog/ActionDialogContentInner.js';

const ActionDialogWithTrigger = ({ id, trigger, onClickTrigger, onClickClose, onPressEscape, ...props }) => {
    const generatedId = useId();
    const actualId = id || generatedId;
    const [isOpen, setIsOpen] = useState(false);
    const open = useCallback(() => setIsOpen(true), []);
    const close = useCallback(() => setIsOpen(false), []);
    const onClickOpen = useMemo(() => (onClickTrigger ? () => onClickTrigger(open) : open), [onClickTrigger, open]);
    const actualOnClickClose = useMemo(() => (onClickClose ? () => onClickClose(close) : close), [onClickClose, close]);
    const actualOnPressEscape = useMemo(() => (onPressEscape ? () => onPressEscape(close) : close), [onPressEscape, close]);
    const actualTrigger = useMemo(() => cloneElement(trigger, {
        onClick: onClickOpen,
        'aria-haspopup': 'true',
        'aria-controls': actualId,
    }), [trigger, actualId, onClickOpen]);
    return (jsxs(Fragment, { children: [actualTrigger, jsx(ActionDialog, { ...props, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, id: actualId })] }));
};

export { ActionDialogWithTrigger };
//# sourceMappingURL=ActionDialogWithTrigger.js.map
