"use client";
import { jsx } from 'react/jsx-runtime';
import { useId, useCallback } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { FormDialogContentInner } from './FormDialogContentInner.js';

const FormDialog = ({ children, title, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onSubmit, onClickClose, onPressEscape = onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const titleId = useId();
    const handleClickClose = useCallback(() => {
        if (props.isOpen) {
            onClickClose();
        }
    }, [onClickClose, props.isOpen]);
    const handleSubmitAction = useCallback((close, e) => {
        if (props.isOpen) {
            onSubmit(close, e);
        }
    }, [onSubmit, props.isOpen]);
    return createPortal(jsx(DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, children: jsx(FormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, subActionArea: subActionArea, onClickClose: handleClickClose, onSubmit: handleSubmitAction, responseStatus: responseStatus, decorators: decorators, children: children }) }));
};

export { FormDialog };
//# sourceMappingURL=FormDialog.js.map
