"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext, useCallback, useId } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { DialogContext } from '../DialogWrapper.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { FormDialogContentInner } from './FormDialogContentInner.js';

const FormDialogContent = ({ children, title, contentBgColor, contentPadding, actionText, actionTheme, onSubmit, actionDisabled, portalParent, className = '', decorators, ...props }) => {
    const { onClickClose, active } = useContext(DialogContext);
    const { createPortal } = useDialogPortal(portalParent);
    const handleClickClose = useCallback(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const handleSubmitAction = useCallback((close, e) => {
        if (active) {
            onSubmit(close, e);
        }
    }, [active, onSubmit]);
    const titleId = useId();
    return createPortal(jsx(DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, ariaLabelledby: titleId, className: className, children: jsx(FormDialogContentInner, { title: title, titleId: titleId, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, onSubmit: handleSubmitAction, onClickClose: handleClickClose, actionDisabled: actionDisabled, decorators: decorators, children: children }) }));
};

export { FormDialogContent };
//# sourceMappingURL=FormDialogContent.js.map
