"use client";
import { useCallback, useMemo, cloneElement } from 'react';
import { TRIGGER_EVENT } from './useRemoteTrigger.js';

const onClickRemoteDialogTrigger = (e) => {
    document.dispatchEvent(new CustomEvent(TRIGGER_EVENT, {
        detail: { id: e.currentTarget.getAttribute('aria-controls') },
    }));
};
const RemoteDialogTrigger = ({ targetId, children, onClick, variant, ...rest }) => {
    const actualOnClick = useCallback((e) => {
        if (onClick) {
            return onClick(() => {
                onClickRemoteDialogTrigger(e);
            });
        }
        onClickRemoteDialogTrigger(e);
    }, [onClick]);
    const actualTrigger = useMemo(() => cloneElement(children, {
        onClick: actualOnClick,
        'aria-haspopup': 'dialog',
        'aria-controls': targetId,
        variant,
        ...rest,
    }), [children, actualOnClick, targetId, variant, rest]);
    return actualTrigger;
};

export { RemoteDialogTrigger };
//# sourceMappingURL=RemoteDialogTrigger.js.map
