"use client";
import { jsx } from 'react/jsx-runtime';
import { useId, useRef, useCallback } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { StepFormDialogContentInner } from './StepFormDialogContentInner.js';
import { StepFormDialogProvider } from './StepFormDialogProvider.js';

const StepFormDialog = ({ children, title, subtitle, stepLength, titleTag, contentBgColor, contentPadding, actionTheme, submitLabel, firstStep, onSubmit, onClickClose, onClickBack, onPressEscape = onClickClose, responseStatus, actionDisabled = false, closeDisabled, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const titleId = useId();
    const focusTrapRef = useRef(null);
    const handleClickClose = useCallback(() => {
        if (!props.isOpen) {
            return;
        }
        focusTrapRef.current?.focus();
        onClickClose();
    }, [onClickClose, props.isOpen]);
    const handleSubmitAction = useCallback((close, e, currentStep) => {
        if (!props.isOpen) {
            return undefined;
        }
        focusTrapRef.current?.focus();
        return onSubmit(close, e, currentStep);
    }, [onSubmit, props.isOpen]);
    const handleBackSteps = useCallback(() => {
        if (!props.isOpen) {
            return;
        }
        focusTrapRef.current?.focus();
        onClickBack?.();
    }, [props.isOpen, onClickBack]);
    return createPortal(jsx(StepFormDialogProvider, { firstStep: firstStep, children: jsx(DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, focusTrapRef: focusTrapRef, children: jsx(StepFormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, firstStep: firstStep, stepLength: stepLength, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, submitLabel: submitLabel, onClickClose: handleClickClose, onSubmit: handleSubmitAction, onClickBack: handleBackSteps, responseStatus: responseStatus, decorators: decorators, children: children }) }) }));
};

export { StepFormDialog };
//# sourceMappingURL=StepFormDialog.js.map
