import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Text } from '../../Text/Text.js';
import '../../Text/RangeSeparator.js';
import { renderButtonList } from './DropdownMenuButton.js';

const classNameGenerator = ce({
    slots: {
        group: [
            'smarthr-ui-DropdownMenuGroup',
            [
                '[&:not(:first-child)]:shr-relative',
                '[&:not(:first-child)]:shr-mt-0.5',
                '[&:not(:first-child)]:shr-pt-0.5',
                '[&:not(:first-child)]:shr-min-w-[8em]',
                '[&:not(:first-child)]:before:shr-content-[""]',
                '[&:not(:first-child)]:before:shr-absolute',
                '[&:not(:first-child)]:before:shr-top-0',
                '[&:not(:first-child)]:before:shr-inset-x-1',
                '[&:not(:first-child)]:before:shr-h-px',
                '[&:not(:first-child)]:before:shr-bg-border',
            ],
        ],
        groupName: 'shr-px-1 shr-py-0.5',
    },
});
const DropdownMenuGroup = ({ name, children, className }) => {
    const classNames = useMemo(() => {
        const { group, groupName } = classNameGenerator();
        return {
            group: group({ className }),
            groupName: groupName(),
        };
    }, [className]);
    return (jsxs("li", { className: classNames.group, children: [jsx(NameText, { className: classNames.groupName, children: name }), jsx("ul", { children: renderButtonList(children) })] }));
};
const NameText = memo(({ children, className }) => children && (jsx(Text, { as: "p", size: "S", weight: "bold", color: "TEXT_GREY", leading: "NONE", className: className, children: children })));

export { DropdownMenuGroup };
//# sourceMappingURL=DropdownMenuGroup.js.map
