"use client";
import { jsx, jsxs } from 'react/jsx-runtime';
import { useEffect, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../Button/Button.js';
import '../Button/AnchorButton.js';
import '../Button/UnstyledButton.js';
import { FaXmarkIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { ResponseMessage } from '../ResponseMessage/ResponseMessage.js';

const messageTypes = ['success', 'info', 'warning', 'error'];
const roles = ['alert', 'status'];
const REMOVE_DELAY = 8000;
const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-FlashMessage',
            'shr-border-shorthand shr-fixed shr-bottom-0.5 shr-left-0.5 shr-z-flash-message shr-flex shr-items-center shr-gap-0.5 shr-rounded-m shr-bg-white shr-p-1 shr-shadow-layer-4',
            '[&_.smarthr-ui-Icon-withText]:-shr-my-0.25 [&_.smarthr-ui-Icon-withText]:shr-grow',
            /* Icon + margin + 8文字 + margin + Button(border + padding + fontSize) */
            'shr-min-w-[calc(1em+theme(spacing[0.5])+8em+theme(spacing[0.5])+(theme(borderWidth.DEFAULT)*2)+(theme(spacing[0.5])*2)+theme(fontSize.sm))]',
        ],
        responseMessage: ['smarthr-ui-FlashMessage-icon', ''],
        closeButton: ['smarthr-ui-FlashMessage-button', '-shr-my-0.5 -shr-mr-0.5'],
    },
    variants: {
        animation: {
            bounce: {
                wrapper: [
                    'shr-animate-[flash-message-bounce_1s_0s_both]',
                    'motion-reduce:shr-animate-none',
                ],
            },
            none: {},
        },
    },
});
/**
 * @deprecated `FlashMessage` は気づきにくいため、安易な使用はお勧めしません。`NotificationBar` や `Dialog` の使用を検討してください。
 */
const FlashMessage = ({ visible, ...rest }) => visible ? jsx(ActualFlashMessage, { ...rest }) : null;
const ActualFlashMessage = ({ type, text, animation = 'bounce', role = 'alert', className, onClose, autoClose = true, ...rest }) => {
    useEffect(() => {
        if (!autoClose) {
            return;
        }
        const timerId = setTimeout(onClose, REMOVE_DELAY);
        return () => {
            clearTimeout(timerId);
        };
    }, [autoClose, onClose]);
    const classNames = useMemo(() => {
        const { wrapper, responseMessage, closeButton } = classNameGenerator();
        return {
            wrapper: wrapper({ animation, className }),
            responseMessage: responseMessage(),
            closeButton: closeButton(),
        };
    }, [animation, className]);
    return (jsxs("div", { ...rest, role: role, className: classNames.wrapper, children: [jsx(ResponseMessage, { type: type, iconGap: 0.5, className: classNames.responseMessage, children: text }), jsx(Button, { onClick: onClose, size: "s", className: classNames.closeButton, children: jsx(FaXmarkIcon, { alt: "\u9589\u3058\u308B" }) })] }));
};

export { FlashMessage, messageTypes, roles };
//# sourceMappingURL=FlashMessage.js.map
