import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-Loader', 'shr-inline-block shr-overflow-hidden'],
        spinner: [
            'smarthr-ui-Loader-spinner', // Button コンポーネントで使用
            'shr-relative',
            'shr-block',
            'shr-mx-auto',
            'shr-animate-[spin_1.6s_linear_infinite]',
        ],
        line: [
            'smarthr-ui-Loader-line', // Button コンポーネントで使用
            'shr-absolute',
            'shr-block',
            'shr-w-full',
            'shr-h-full',
            'shr-opacity-0',
        ],
        cog: [
            'shr-inline-block',
            'shr-relative',
            'shr-w-1/2',
            'shr-h-full',
            'shr-overflow-hidden',
            'shr-border-inherit',
        ],
        cogInner: [
            'shr-absolute',
            'shr-top-0',
            'shr-block',
            'shr-w-[200%]',
            'shr-h-full',
            'shr-box-border',
            'shr-border-solid',
            'shr-border-inherit',
            'shr-border-b-transparent',
            'shr-rounded-[50%]',
            'shr-forced-color-adjust-none',
        ],
        textSlot: ['shr-block', 'shr-mt-1', 'shr-text-base', 'shr-text-center'],
    },
    variants: {
        size: {
            s: {
                spinner: ['shr-w-1.5', 'shr-h-1.5'],
                cogInner: ['shr-border-2'],
            },
            m: {
                spinner: ['shr-w-3', 'shr-h-3'],
                cogInner: ['shr-border-4'],
            },
        },
        type: {
            primary: {
                textSlot: ['shr-text-black'],
                line: ['shr-border-main', 'forced-colors:shr-border-[ButtonBorder]'],
            },
            light: {
                textSlot: ['shr-text-white'],
                line: ['shr-border-white', 'forced-colors:shr-border-[ButtonBorder]'],
            },
        },
        lineNum: {
            1: {
                line: [
                    'shr-animate-[loader-line-full-unfill-rotate_4.8s_ease-in-out_infinite_both,_loader-line1-fade-in-out_4.8s_ease-in-out_infinite_both]',
                ],
            },
            2: {
                line: [
                    'shr-animate-[loader-line-full-unfill-rotate_4.8s_ease-in-out_infinite_both,_loader-line2-fade-in-out_4.8s_ease-in-out_infinite_both]',
                ],
            },
            3: {
                line: [
                    'shr-animate-[loader-line-full-unfill-rotate_4.8s_ease-in-out_infinite_both,_loader-line3-fade-in-out_4.8s_ease-in-out_infinite_both]',
                ],
            },
            4: {
                line: [
                    'shr-animate-[loader-line-full-unfill-rotate_4.8s_ease-in-out_infinite_both,_loader-line4-fade-in-out_4.8s_ease-in-out_infinite_both]',
                ],
            },
        },
        position: {
            left: {
                cogInner: [
                    'shr-border-r-transparent',
                    'shr-rotate-[129deg]',
                    'shr-animate-[loader-left-spin_1.2s_ease-in-out_infinite_both]',
                    'shr-left-0',
                ],
            },
            right: {
                cogInner: [
                    'shr-border-l-transparent',
                    'shr-rotate-[-129deg]',
                    'shr-animate-[loader-right-spin_1.2s_ease-in-out_infinite_both]',
                    '-shr-left-full',
                ],
            },
        },
    },
});
const Loader = memo(({ size = 'm', alt = '処理中', text, type = 'primary', role = 'status', className, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, spinner, line, cog, cogInner, textSlot } = classNameGenerator({
            type,
            size,
        });
        return {
            wrapper: wrapper({ className }),
            spinner: spinner(),
            cog: cog(),
            cogInnerLeft: cogInner({ position: 'left' }),
            cogInnerRight: cogInner({ position: 'right' }),
            text: textSlot(),
            line1: line({ lineNum: 1 }),
            line2: line({ lineNum: 2 }),
            line3: line({ lineNum: 3 }),
            line4: line({ lineNum: 4 }),
        };
    }, [type, size, className]);
    const lineBody = (jsxs(Fragment, { children: [jsx("span", { className: classNames.cog, children: jsx("span", { className: classNames.cogInnerLeft }) }), jsx("span", { className: classNames.cog, children: jsx("span", { className: classNames.cogInnerRight }) })] }));
    return (jsxs("span", { ...props, role: role, className: classNames.wrapper, children: [jsxs("span", { className: classNames.spinner, children: [jsx("span", { className: classNames.line1, children: lineBody }), jsx("span", { className: classNames.line2, children: lineBody }), jsx("span", { className: classNames.line3, children: lineBody }), jsx("span", { className: classNames.line4, children: lineBody }), jsx(VisuallyHiddenText, { children: alt })] }), text && jsx("span", { className: classNames.text, children: text })] }));
});

export { Loader };
//# sourceMappingURL=Loader.js.map
