"use client";
import { jsx } from 'react/jsx-runtime';
import { useMemo, useRef, useCallback } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base/Base.js';
import '../Base/BaseColumn/BaseColumn.js';
import { RadioButton } from '../RadioButton/RadioButton.js';

const NONE_ROLE_TAG_REGEX = /^(div|span)$/;
const classNameGenerator = ce({
    base: [
        'smarthr-ui-RadioButtonPanel',
        'shr-border-shorthand shr-list-none shr-shadow-none',
        // なぜか :has が動作しないので重ねて書いている
        'has-[:focus-visible]:shr-focus-indicator [&:has(:focus-visible)]:shr-focus-indicator',
        '[&_.smarthr-ui-RadioButton-radioButton:focus-visible_+_span]:shr-shadow-none',
        '[&_.smarthr-ui-RadioButton-label]:shr-ms-0.75',
        'shr-cursor-pointer has-[:not(:disabled)]:[&_.smarthr-ui-RadioButton-label]:shr-cursor-pointer',
        'has-[:disabled]:shr-cursor-default has-[:disabled]:[&_.smarthr-ui-RadioButton-label]:shr-cursor-default',
    ],
});
const RadioButtonPanel = ({ onClick, as, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    const role = useMemo(() => (typeof as === 'string' && NONE_ROLE_TAG_REGEX.test(as) ? 'presentation' : undefined), [as]);
    // 外側の装飾を押しても内側のラジオボタンが押せるようにする
    const innerRef = useRef(null);
    const handleOuterClick = useCallback(() => {
        innerRef.current?.click();
    }, []);
    return (
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    jsx(Base, { padding: 1, role: role, onClick: handleOuterClick, as: as, className: actualClassName, children: jsx(RadioButton, { ...props, ref: innerRef }) }));
};

export { RadioButtonPanel };
//# sourceMappingURL=RadioButtonPanel.js.map
