import { jsx, jsxs } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Text } from '../Text/Text.js';
import '../Text/RangeSeparator.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-SideMenu-item',
            '[&>a]:shr-no-underline [&>a]:shr-block',
            '[&>*:focus-visible]:shr-focus-indicator',
        ],
        content: [
            'shr-flex shr-gap-0.5 shr-p-0.75 shr-items-baseline',
            'aria-current-page:shr-bg-grey-9 aria-current-page:shr-font-bold',
            'hover:shr-bg-head-darken',
        ],
        // 視覚調整のためのtranslate 参考: https://github.com/kufu/smarthr-ui/blob/01d127a4888f5698b2bf17be855ce1e985b575ea/packages/smarthr-ui/src/components/Icon/generateIcon.tsx#L73C81-L73C106
        iconWrapper: ['shr-text-grey shr-translate-y-[0.125em]'],
    },
    variants: {
        current: {
            true: {
                content: 'shr-ps-1.25 shr-border-[theme(colors.main)] shr-border-0 shr-border-s-4 shr-border-solid shr-bg-over-background',
            },
            false: {
                content: 'shr-ps-1.5',
            },
        },
    },
});
const SideMenuItem = ({ elementAs, current, prefix, href, children, className, ...rest }) => {
    const Component = elementAs ?? 'a';
    const ariaCurrent = useMemo(() => {
        if (!current || !href) {
            return undefined;
        }
        return href[0] === '#' ? true : 'page';
    }, [current, href]);
    const classNames = useMemo(() => {
        const { wrapper, content, iconWrapper } = classNameGenerator();
        return {
            wrapper: wrapper({ current, className }),
            content: content({ current }),
            iconWrapper: iconWrapper(),
        };
    }, [current, className]);
    return (jsx("li", { className: classNames.wrapper, children: jsx(Component, { ...rest, href: href, "aria-current": ariaCurrent, children: jsxs(Text, { size: "M", leading: "TIGHT", className: classNames.content, children: [prefix && jsx("span", { className: classNames.iconWrapper, children: prefix }), jsx(Text, { weight: current ? 'bold' : undefined, children: children })] }) }) }));
};

export { SideMenuItem };
//# sourceMappingURL=SideMenuItem.js.map
