import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaCircleXmarkIcon, FaCircleCheckIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';

const classNameGenerator = ce({
    base: [
        'shr-bg-white shr-rounded-full shr-shadow-[0_0_0_theme(borderWidth.2)_theme(colors.white)]',
        'forced-colors:shr-fill-[Canvas] forced-colors:shr-bg-[CanvasText] forced-colors:shr-shadow-[0_0_0_theme(borderWidth.2)_Canvas]',
    ],
    variants: {
        status: {
            completed: [
                'shr-text-main',
                'forced-colors:shr-fill-[Highlight] forced-colors:shr-bg-[Canvas]',
            ],
            closed: ['shr-text-grey', 'forced-colors:shr-fill-[GrayText] forced-colors:shr-bg-[Canvas]'],
        },
    },
});
const StepStatusIcon = (props) => props.status ? jsx(ActualStepStatusIcon, { ...props }) : null;
const ICON_MAPPER = {
    completed: {
        alt: '完了',
        Component: FaCircleCheckIcon,
    },
    closed: {
        alt: '中断',
        Component: FaCircleXmarkIcon,
    },
};
const ActualStepStatusIcon = ({ status, className, ...rest }) => {
    const actualStatus = useMemo(() => {
        const isObject = typeof status === 'object';
        const statusType = isObject ? status.type : status;
        const { alt, Component } = ICON_MAPPER[statusType];
        return {
            type: statusType,
            text: isObject ? status.text || alt : alt,
            Component,
        };
    }, [status]);
    const actualClassName = useMemo(() => classNameGenerator({ status: actualStatus.type, className }), [actualStatus.type, className]);
    const Component = actualStatus.Component;
    return jsx(Component, { ...rest, alt: actualStatus.text, className: actualClassName });
};

export { StepStatusIcon };
//# sourceMappingURL=StepStatusIcon.js.map
