import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Heading } from '../Heading/Heading.js';
import { Section } from '../SectioningContent/SectioningContent.js';
import { StepCounter } from './StepCounter.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'shr-group/stepItem',
        headingWrapper: 'shr-flex shr-items-center shr-gap-1',
        heading: 'shr-inline-block',
        body: [
            // body > (:before + inner) という構造
            'shr-flex',
            // body の before 疑似要素がステップを繋ぐ線
            'before:shr-block before:shr-content-[""] before:shr-relative before:shr-mx-1 before:shr-bg-border before:shr-w-[theme(borderWidth.2)]',
            // 最後のステップの線を消す
            'group-last/stepItem:before:shr-bg-transparent',
            'forced-colors:before:shr-bg-[ButtonBorder]',
        ],
        inner: 'shr-grow shr-ms-1 shr-pt-0.5 shr-pb-1.5',
    },
    variants: {
        status: {
            completed: {
                body: ['before:shr-bg-main', 'forced-colors:before:shr-bg-[Highlight]'],
            },
            closed: {},
        },
        current: {
            true: {
                heading: 'shr-font-bold',
            },
            false: {},
        },
    },
    compoundVariants: [
        {
            status: ['completed', 'closed'],
            current: false,
            className: {
                heading: 'shr-text-grey',
            },
        },
    ],
});
const VerticalStepItem = ({ stepNumber, label, status, children, current }) => {
    const classNames = useMemo(() => {
        const { wrapper, headingWrapper, heading, body, inner } = classNameGenerator({
            status: typeof status === 'object' ? status.type : status,
            current,
        });
        return {
            wrapper: wrapper(),
            headingWrapper: headingWrapper(),
            heading: heading(),
            body: body(),
            inner: inner(),
        };
    }, [current, status]);
    return (jsx("li", { "aria-current": current ? 'step' : undefined, className: classNames.wrapper, children: jsxs(Section, { children: [jsx(StepHeading, { status: status, current: current, stepNumber: stepNumber, className: classNames.headingWrapper, headingClassName: classNames.heading, children: label }), jsx("div", { className: classNames.body, children: jsx("div", { className: classNames.inner, children: children }) })] }) }));
};
const StepHeading = memo(({ status, current, stepNumber, children, className, headingClassName }) => (jsxs("div", { className: className, children: [jsx(StepCounter, { status: status, current: current, stepNumber: stepNumber }), jsx(Heading, { type: "sectionTitle", className: headingClassName, children: children })] })));

export { VerticalStepItem };
//# sourceMappingURL=VerticalStepItem.js.map
