import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-Table',
        'shr-border-collapse shr-w-full',
        '[&_tbody]:shr-bg-white',
        '[&_th]:contrast-more:shr-border-shorthand [&_th]:shr-bg-head [&_th]:contrast-more:shr-border-high-contrast',
        '[&_td]:contrast-more:shr-border-shorthand [&_td]:contrast-more:shr-border-high-contrast',
        'contrast-more:shr-border-shorthand contrast-more:shr-border-high-contrast',
    ],
    variants: {
        borderType: {
            horizontal: 'shr-table-border-horizontal',
            both: 'shr-table-border-vertical shr-table-border-horizontal',
        },
        layout: {
            auto: '',
            fixed: 'shr-table-fixed',
        },
        fixedHead: {
            true: '[&_thead]:shr-sticky [&_thead]:shr-start-0 [&_thead]:shr-top-0 [&_thead]:shr-z-1',
        },
    },
    defaultVariants: {
        borderType: 'horizontal',
        layout: 'auto',
        fixedHead: false,
    },
});
const Table = ({ borderType, fixedHead, layout, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ borderType, fixedHead, layout, className }), [borderType, className, fixedHead, layout]);
    return jsx("table", { ...props, className: actualClassName });
};

export { Table };
//# sourceMappingURL=Table.js.map
