import { type ComponentPropsWithoutRef, type PropsWithChildren, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { CellContentWidth } from './type';
type sortTypes = keyof typeof SORT_DIRECTION_LABEL;
export type Props = PropsWithChildren<{
    /** 並び替え状態 */
    sort?: sortTypes;
    /** 並び替えをクリックした時に発火するコールバック関数 */
    onSort?: () => void;
    /** 横スクロール時、カラムを左右いずれかに固定 */
    fixed?: 'left' | 'right';
    /** 文言を変更するための関数 */
    decorators?: {
        sortDirectionIconAlt: (text: string, { sort }: {
            sort: sortTypes;
        }) => ReactNode;
    };
    contentWidth?: CellContentWidth;
} & VariantProps<typeof classNameGenerator>>;
type ElementProps = Omit<ComponentPropsWithoutRef<'th'>, keyof Props | 'onClick'>;
declare const SORT_DIRECTION_LABEL: {
    asc: string;
    desc: string;
    none: string;
};
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, (string | string[])[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, (string | string[])[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, unknown, unknown, undefined>>;
export declare const Th: import("react").NamedExoticComponent<{
    /** 並び替え状態 */
    sort?: sortTypes;
    /** 並び替えをクリックした時に発火するコールバック関数 */
    onSort?: () => void;
    /** 横スクロール時、カラムを左右いずれかに固定 */
    fixed?: "left" | "right";
    /** 文言を変更するための関数 */
    decorators?: {
        sortDirectionIconAlt: (text: string, { sort }: {
            sort: sortTypes;
        }) => ReactNode;
    };
    contentWidth?: CellContentWidth;
} & VariantProps<import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, (string | string[])[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, (string | string[])[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, unknown, unknown, undefined>>> & {
    children?: ReactNode | undefined;
} & ElementProps>;
export {};
