import { jsx, jsxs } from 'react/jsx-runtime';
import { forwardRef, useMemo, memo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.11.21_@types_node@20.17.30_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaUpRightFromSquareIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';

const classNameGenerator = ce({
    slots: {
        anchor: [
            'shr-text-link shr-no-underline shr-shadow-underline',
            'forced-colors:shr-underline',
            '[&:not([href])]:shr-shadow-none [&:not([href])]:forced-colors:shr-no-underline',
            '[.smarthr-ui-Th_&]:shr-text-link-darken',
        ],
        prefixWrapper: 'shr-me-0.25 shr-align-middle',
        suffixWrapper: 'shr-ms-0.25 shr-align-middle',
    },
    variants: {
        size: {
            S: {
                anchor: 'shr-text-sm',
            },
            M: {
                anchor: 'shr-text-base',
            },
        },
    },
});
const { anchor, prefixWrapper, suffixWrapper } = classNameGenerator();
const prefixWrapperClassName = prefixWrapper();
const suffixWrapperClassName = suffixWrapper();
const ActualTextLink = forwardRef(({ elementAs, href, target, rel, onClick, children, prefix, suffix, className, size, ...others }, ref) => {
    const Anchor = elementAs || 'a';
    const actualSuffix = useMemo(() => {
        if (target === '_blank' && suffix === undefined) {
            return jsx(FaUpRightFromSquareIcon, { alt: "\u5225\u30BF\u30D6\u3067\u958B\u304F" });
        }
        return suffix;
    }, [suffix, target]);
    const actualHref = useMemo(() => {
        if (href) {
            return href;
        }
        if (onClick) {
            return '';
        }
        return undefined;
    }, [href, onClick]);
    const actualRel = useMemo(() => (rel === undefined && target === '_blank' ? 'noopener noreferrer' : rel), [rel, target]);
    const anchorClassName = useMemo(() => anchor({ size, className }), [size, className]);
    const actualOnClick = useMemo(() => {
        if (!onClick) {
            return undefined;
        }
        if (href) {
            return onClick;
        }
        return (e) => {
            e.preventDefault();
            onClick(e);
        };
    }, [onClick, href]);
    return (jsxs(Anchor, { ...others, ref: ref, href: actualHref, target: target, rel: actualRel, onClick: actualOnClick, className: anchorClassName, children: [prefix && jsx("span", { className: prefixWrapperClassName, children: prefix }), children, actualSuffix && jsx("span", { className: suffixWrapperClassName, children: actualSuffix })] }));
});
const TextLink = memo(ActualTextLink);

export { TextLink };
//# sourceMappingURL=TextLink.js.map
