import { merge } from '../libs/lodash.js';
import { defaultColor } from './createColor.js';

const defaultLineWidth = '1px';
const defaultLineStyle = 'solid';
const defaultLineColor = defaultColor.BORDER;
const highContrastBorderColor = defaultColor.GREY_100;
const defaultBorder = {
    lineWidth: defaultLineWidth,
    lineStyle: defaultLineStyle,
    shorthand: `${defaultLineWidth} ${defaultLineStyle} ${defaultLineColor}`,
    highContrast: `${defaultLineWidth} ${defaultLineStyle} ${highContrastBorderColor}`,
};
const createBorder = (userBorder = {}, userColor = {}) => {
    const color = userColor.BORDER || defaultColor.BORDER;
    const created = merge({
        ...defaultBorder,
        shorthand: `${defaultLineWidth} ${defaultLineStyle} ${color}`,
    }, userBorder);
    return created;
};

export { createBorder, defaultBorder };
//# sourceMappingURL=createBorder.js.map
