import { merge } from '../libs/lodash.js';

const hoverAnimationDuration = '.3s';
const hoverAnimationTiming = 'ease-out';
const defaultInteraction = {
    hover: {
        feedbackOpacity: '.7',
        animationDuration: hoverAnimationDuration,
        animationTiming: hoverAnimationTiming,
        animation: `${hoverAnimationDuration} ${hoverAnimationTiming}`,
    },
};
const createInteraction = (userInteraction = {}) => {
    const created = merge({
        ...defaultInteraction,
    }, userInteraction);
    return created;
};

export { createInteraction, defaultInteraction };
//# sourceMappingURL=createInteraction.js.map
