import { rgba, darken as curriedDarken$1 } from './../vendor/.pnpm/polished@4.3.1/vendor/polished/dist/polished.esm.js';
import { merge } from '../libs/lodash.js';

/**
 * @deprecated The defaultPelette will be deprecated, please use defaultColor instead
 */
const defaultPalette = {
    TEXT_BLACK: '#23221e',
    TEXT_GREY: '#706d65',
    TEXT_DISABLED: '#c1bdb7',
    TEXT_LINK: '#0071c1',
    BORDER: '#d6d3d0',
    ACTION_BACKGROUND: '#d6d3d0',
    BACKGROUND: '#f8f7f6',
    COLUMN: '#f8f7f6',
    OVER_BACKGROUND: '#f2f1f0',
    HEAD: '#edebe8',
    BASE_GREY: '#f5f4f3',
    MAIN: '#0077c7',
    DANGER: '#e01e5a',
    WARNING: '#ff8800',
    SCRIM: rgba('#030302', 0.5),
    OVERLAY: rgba('#030302', 0.15),
    BRAND: '#00c4cc',
};
const createPalette = (userPalette = {}) => {
    const created = merge({
        hoverColor: (value) => curriedDarken$1(0.05, value),
        disableColor: (value) => rgba(value, 0.5),
        OUTLINE: defaultPalette.MAIN,
        ...defaultPalette,
    }, userPalette, !userPalette.OUTLINE && userPalette.MAIN ? { OUTLINE: userPalette.MAIN } : null);
    return created;
};

export { createPalette, defaultPalette };
//# sourceMappingURL=createPalette.js.map
