import { type BorderProperty, type CreatedBorderTheme } from './createBorder';
import { type BreakpointProperty, type CreatedBreakpointTheme } from './createBreakpoint';
import { type ColorProperty, type CreatedColorTheme } from './createColor';
import { type CreatedFontSizeTheme, type FontSizeProperty } from './createFontSize';
import { type CreatedFrameTheme, type FrameProperty } from './createFrame';
import { type CreatedInteractionTheme, type InteractionProperty } from './createInteraction';
import { type CreatedLeading, type LeadingProperty } from './createLeading';
import { type CreatedPaletteTheme, type PaletteProperty } from './createPalette';
import { type CreatedRadiusTheme, type RadiusProperty } from './createRadius';
import { type CreatedShadowTheme, type ShadowProperty } from './createShadow';
import { type CreatedSizeTheme, type SizeProperty } from './createSize';
import { type CreatedSpacingByCharTheme, type CreatedSpacingTheme, type SpacingProperty } from './createSpacing';
import { type CreatedZindexTheme, type ZIndexProperty } from './createZIndex';
type ThemeProperty = {
    /**
     * @deprecated The palette property will be deprecated, please use color property instead
     */
    palette?: PaletteProperty;
    color?: ColorProperty;
    /**
     * @deprecated The size property will be deprecated, please use fontSize, spacing or breakpoint property instead
     */
    size?: SizeProperty;
    fontSize?: FontSizeProperty;
    leading?: LeadingProperty;
    spacing?: SpacingProperty;
    breakpoint?: BreakpointProperty;
    /**
     * @deprecated The frame property will be deprecated, please use border or radius property instead
     */
    frame?: FrameProperty;
    border?: BorderProperty;
    radius?: RadiusProperty;
    interaction?: InteractionProperty;
    shadow?: ShadowProperty;
    zIndex?: ZIndexProperty;
};
export type CreatedTheme = {
    /**
     * @deprecated The palette property will be deprecated, please use color property instead
     */
    palette: CreatedPaletteTheme;
    color: CreatedColorTheme;
    /**
     * @deprecated The size property will be deprecated, please use fontSize, spacing or breakpoint property instead
     */
    size: CreatedSizeTheme;
    fontSize: CreatedFontSizeTheme;
    leading: CreatedLeading;
    spacing: CreatedSpacingTheme;
    spacingByChar: CreatedSpacingByCharTheme;
    space: CreatedSpacingByCharTheme;
    breakpoint: CreatedBreakpointTheme;
    /**
     * @deprecated The frame property will be deprecated, please use border or radius property instead
     */
    frame: CreatedFrameTheme;
    border: CreatedBorderTheme;
    radius: CreatedRadiusTheme;
    interaction: CreatedInteractionTheme;
    shadow: CreatedShadowTheme;
    zIndex: CreatedZindexTheme;
};
export declare const createTheme: (theme?: ThemeProperty) => CreatedTheme;
export {};
