"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseColumn = exports.classNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Base_1 = require("../Base");
exports.classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-rounded-[unset]',
    variants: {
        bgColor: {
            BACKGROUND: 'shr-bg-background',
            COLUMN: 'shr-bg-column',
            BASE_GREY: 'shr-bg-base-grey',
            OVER_BACKGROUND: 'shr-bg-over-background',
            HEAD: 'shr-bg-head',
            BORDER: 'shr-bg-[theme(colors.grey.20)]',
            ACTION_BACKGROUND: 'shr-bg-action-background',
            WHITE: 'shr-bg-white',
            GREY_5: 'shr-bg-[theme(colors.grey.5)]',
            GREY_6: 'shr-bg-[theme(colors.grey.6)]',
            GREY_7: 'shr-bg-[theme(colors.grey.7)]',
            GREY_9: 'shr-bg-[theme(colors.grey.9)]',
            GREY_20: 'shr-bg-[theme(colors.grey.20)]',
        },
    },
    defaultVariants: {
        bgColor: 'COLUMN',
    },
});
const BaseColumn = ({ bgColor, padding = 1, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => (0, exports.classNameGenerator)({ bgColor, className }), [bgColor, className]);
    return (0, jsx_runtime_1.jsx)(Base_1.Base, { ...props, padding: padding, layer: 0, className: actualClassName });
};
exports.BaseColumn = BaseColumn;
//# sourceMappingURL=BaseColumn.js.map