import { type FC } from 'react';
import { type DecoratorsType } from '../../hooks/useDecorators';
import { type ItemNodeLike } from './models';
type Props = {
    /** 表示する item の配列 */
    items: ItemNodeLike[];
    /** 選択中の item の値 */
    value?: string;
    /** 選択された際に呼び出されるコールバック。第一引数に item の value を取る。 */
    onSelectItem?: (value: string) => void;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly notFoundTitle: "該当する項目がありません。";
    readonly notFoundDescription: "別の条件を試してください。";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare const Browser: FC<Props>;
export {};
