import { type KeyboardEvent, type ReactNode, type RefObject } from 'react';
import { type DecoratorsType } from '../../hooks/useDecorators';
import type { ComboboxItem, ComboboxOption } from './types';
type Props<T> = {
    options: Array<ComboboxOption<T>>;
    dropdownHelpMessage?: ReactNode;
    dropdownWidth?: string | number;
    onAdd?: (label: string) => void;
    onSelect: (item: ComboboxItem<T>) => void;
    isExpanded: boolean;
    isLoading?: boolean;
    triggerRef: RefObject<HTMLElement>;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly noResultText: "一致する選択肢がありません";
    readonly loadingText: "処理中";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare const useListbox: <T>({ options, dropdownHelpMessage, dropdownWidth, onAdd, onSelect, isExpanded, isLoading, triggerRef, decorators, }: Props<T>) => {
    renderListBox: () => import("react").ReactPortal | null;
    activeOption: ComboboxOption<T> | null;
    onKeyDownListBox: (e: KeyboardEvent<HTMLElement>) => void;
    listBoxId: string;
    listBoxRef: RefObject<HTMLDivElement>;
};
export {};
