"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionDialogContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const DialogWrapper_1 = require("../DialogWrapper");
const useDialogPortal_1 = require("../useDialogPortal");
const ActionDialogContentInner_1 = require("./ActionDialogContentInner");
const ActionDialogContent = ({ children, title, contentBgColor, contentPadding, actionText, actionTheme, onClickAction, actionDisabled, portalParent, className = '', decorators, ...props }) => {
    const { onClickClose, active } = (0, react_1.useContext)(DialogWrapper_1.DialogContext);
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent);
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const handleClickAction = (0, react_1.useCallback)(() => {
        if (active) {
            onClickAction(onClickClose);
        }
    }, [active, onClickAction, onClickClose]);
    const titleId = (0, react_1.useId)();
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, ariaLabelledby: titleId, className: className, children: (0, jsx_runtime_1.jsx)(ActionDialogContentInner_1.ActionDialogContentInner, { title: title, titleId: titleId, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, onClickAction: handleClickAction, onClickClose: handleClickClose, actionDisabled: actionDisabled, decorators: decorators, children: children }) }));
};
exports.ActionDialogContent = ActionDialogContent;
//# sourceMappingURL=ActionDialogContent.js.map