"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionDialogWithTrigger = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const ActionDialog_1 = require("../ActionDialog");
const ActionDialogWithTrigger = ({ id, trigger, onClickTrigger, onClickClose, onPressEscape, ...props }) => {
    const generatedId = (0, react_1.useId)();
    const actualId = id || generatedId;
    const [isOpen, setIsOpen] = (0, react_1.useState)(false);
    const open = (0, react_1.useCallback)(() => setIsOpen(true), []);
    const close = (0, react_1.useCallback)(() => setIsOpen(false), []);
    const onClickOpen = (0, react_1.useMemo)(() => (onClickTrigger ? () => onClickTrigger(open) : open), [onClickTrigger, open]);
    const actualOnClickClose = (0, react_1.useMemo)(() => (onClickClose ? () => onClickClose(close) : close), [onClickClose, close]);
    const actualOnPressEscape = (0, react_1.useMemo)(() => (onPressEscape ? () => onPressEscape(close) : close), [onPressEscape, close]);
    const actualTrigger = (0, react_1.useMemo)(() => (0, react_1.cloneElement)(trigger, {
        onClick: onClickOpen,
        'aria-haspopup': 'true',
        'aria-controls': actualId,
    }), [trigger, actualId, onClickOpen]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [actualTrigger, (0, jsx_runtime_1.jsx)(ActionDialog_1.ActionDialog, { ...props, isOpen: isOpen, onClickClose: actualOnClickClose, onPressEscape: actualOnPressEscape, id: actualId })] }));
};
exports.ActionDialogWithTrigger = ActionDialogWithTrigger;
//# sourceMappingURL=ActionDialogWithTrigger.js.map