"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const useDialogPortal_1 = require("../useDialogPortal");
const FormDialogContentInner_1 = require("./FormDialogContentInner");
const FormDialog = ({ children, title, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onSubmit, onClickClose, onPressEscape = onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    const titleId = (0, react_1.useId)();
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (props.isOpen) {
            onClickClose();
        }
    }, [onClickClose, props.isOpen]);
    const handleSubmitAction = (0, react_1.useCallback)((close, e) => {
        if (props.isOpen) {
            onSubmit(close, e);
        }
    }, [onSubmit, props.isOpen]);
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, children: (0, jsx_runtime_1.jsx)(FormDialogContentInner_1.FormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, subActionArea: subActionArea, onClickClose: handleClickClose, onSubmit: handleSubmitAction, responseStatus: responseStatus, decorators: decorators, children: children }) }));
};
exports.FormDialog = FormDialog;
//# sourceMappingURL=FormDialog.js.map