"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormDialogContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const DialogWrapper_1 = require("../DialogWrapper");
const useDialogPortal_1 = require("../useDialogPortal");
const FormDialogContentInner_1 = require("./FormDialogContentInner");
const FormDialogContent = ({ children, title, contentBgColor, contentPadding, actionText, actionTheme, onSubmit, actionDisabled, portalParent, className = '', decorators, ...props }) => {
    const { onClickClose, active } = (0, react_1.useContext)(DialogWrapper_1.DialogContext);
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent);
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const handleSubmitAction = (0, react_1.useCallback)((close, e) => {
        if (active) {
            onSubmit(close, e);
        }
    }, [active, onSubmit]);
    const titleId = (0, react_1.useId)();
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, ariaLabelledby: titleId, className: className, children: (0, jsx_runtime_1.jsx)(FormDialogContentInner_1.FormDialogContentInner, { title: title, titleId: titleId, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, onSubmit: handleSubmitAction, onClickClose: handleClickClose, actionDisabled: actionDisabled, decorators: decorators, children: children }) }));
};
exports.FormDialogContent = FormDialogContent;
//# sourceMappingURL=FormDialogContent.js.map