import { type FC, type ReactNode } from 'react';
import { type Props as DialogBodyProps } from '../DialogBody';
import { type Props as DialogHeaderProps } from '../DialogHeader';
import type { DecoratorsType } from '../../../hooks/useDecorators';
export type BaseProps = DialogHeaderProps & DialogBodyProps & {
    /** ダイアログの説明 */
    description: ReactNode;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<'closeButtonLabel'>;
};
export type MessageDialogContentInnerProps = BaseProps & {
    onClickClose: () => void;
};
export declare const MessageDialogContentInner: FC<MessageDialogContentInnerProps>;
