"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepFormDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const useDialogPortal_1 = require("../useDialogPortal");
const StepFormDialogContentInner_1 = require("./StepFormDialogContentInner");
const StepFormDialogProvider_1 = require("./StepFormDialogProvider");
const StepFormDialog = ({ children, title, subtitle, stepLength, titleTag, contentBgColor, contentPadding, actionTheme, submitLabel, firstStep, onSubmit, onClickClose, onClickBack, onPressEscape = onClickClose, responseStatus, actionDisabled = false, closeDisabled, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    const titleId = (0, react_1.useId)();
    const focusTrapRef = (0, react_1.useRef)(null);
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (!props.isOpen) {
            return;
        }
        focusTrapRef.current?.focus();
        onClickClose();
    }, [onClickClose, props.isOpen]);
    const handleSubmitAction = (0, react_1.useCallback)((close, e, currentStep) => {
        if (!props.isOpen) {
            return undefined;
        }
        focusTrapRef.current?.focus();
        return onSubmit(close, e, currentStep);
    }, [onSubmit, props.isOpen]);
    const handleBackSteps = (0, react_1.useCallback)(() => {
        if (!props.isOpen) {
            return;
        }
        focusTrapRef.current?.focus();
        onClickBack?.();
    }, [props.isOpen, onClickBack]);
    return createPortal((0, jsx_runtime_1.jsx)(StepFormDialogProvider_1.StepFormDialogProvider, { firstStep: firstStep, children: (0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, focusTrapRef: focusTrapRef, children: (0, jsx_runtime_1.jsx)(StepFormDialogContentInner_1.StepFormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, firstStep: firstStep, stepLength: stepLength, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, submitLabel: submitLabel, onClickClose: handleClickClose, onSubmit: handleSubmitAction, onClickBack: handleBackSteps, responseStatus: responseStatus, decorators: decorators, children: children }) }) }));
};
exports.StepFormDialog = StepFormDialog;
//# sourceMappingURL=StepFormDialog.js.map