"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownMenuGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Text_1 = require("../../Text");
const DropdownMenuButton_1 = require("./DropdownMenuButton");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        group: [
            'smarthr-ui-DropdownMenuGroup',
            [
                '[&:not(:first-child)]:shr-relative',
                '[&:not(:first-child)]:shr-mt-0.5',
                '[&:not(:first-child)]:shr-pt-0.5',
                '[&:not(:first-child)]:shr-min-w-[8em]',
                '[&:not(:first-child)]:before:shr-content-[""]',
                '[&:not(:first-child)]:before:shr-absolute',
                '[&:not(:first-child)]:before:shr-top-0',
                '[&:not(:first-child)]:before:shr-inset-x-1',
                '[&:not(:first-child)]:before:shr-h-px',
                '[&:not(:first-child)]:before:shr-bg-border',
            ],
        ],
        groupName: 'shr-px-1 shr-py-0.5',
    },
});
const DropdownMenuGroup = ({ name, children, className }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { group, groupName } = classNameGenerator();
        return {
            group: group({ className }),
            groupName: groupName(),
        };
    }, [className]);
    return ((0, jsx_runtime_1.jsxs)("li", { className: classNames.group, children: [(0, jsx_runtime_1.jsx)(NameText, { className: classNames.groupName, children: name }), (0, jsx_runtime_1.jsx)("ul", { children: (0, DropdownMenuButton_1.renderButtonList)(children) })] }));
};
exports.DropdownMenuGroup = DropdownMenuGroup;
const NameText = (0, react_1.memo)(({ children, className }) => children && ((0, jsx_runtime_1.jsx)(Text_1.Text, { as: "p", size: "S", weight: "bold", color: "TEXT_GREY", leading: "NONE", className: className, children: children })));
//# sourceMappingURL=DropdownMenuGroup.js.map