"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Table',
        'shr-border-collapse shr-w-full',
        '[&_tbody]:shr-bg-white',
        '[&_th]:contrast-more:shr-border-shorthand [&_th]:shr-bg-head [&_th]:contrast-more:shr-border-high-contrast',
        '[&_td]:contrast-more:shr-border-shorthand [&_td]:contrast-more:shr-border-high-contrast',
        'contrast-more:shr-border-shorthand contrast-more:shr-border-high-contrast',
    ],
    variants: {
        borderType: {
            horizontal: 'shr-table-border-horizontal',
            both: 'shr-table-border-vertical shr-table-border-horizontal',
        },
        layout: {
            auto: '',
            fixed: 'shr-table-fixed',
        },
        fixedHead: {
            true: '[&_thead]:shr-sticky [&_thead]:shr-start-0 [&_thead]:shr-top-0 [&_thead]:shr-z-1',
        },
    },
    defaultVariants: {
        borderType: 'horizontal',
        layout: 'auto',
        fixedHead: false,
    },
});
const Table = ({ borderType, fixedHead, layout, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ borderType, fixedHead, layout, className }), [borderType, className, fixedHead, layout]);
    return (0, jsx_runtime_1.jsx)("table", { ...props, className: actualClassName });
};
exports.Table = Table;
//# sourceMappingURL=Table.js.map