"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIntl = void 0;
const react_1 = require("react");
const react_intl_1 = require("react-intl");
const locales = __importStar(require("./locales"));
const DATE_FORMATS = {
    // localeがjaの場合、フォーマットを YYYY/MM/DD 形式にする
    // 参考: https://smarthr.design/products/contents/idiomatic-usage/count/#h2-3
    ja: {
        year: 'numeric',
        month: '2-digit',
        day: '2-digit',
    },
    'en-us': undefined,
    'id-id': undefined,
    ko: undefined,
    pt: undefined,
    vi: undefined,
    'zh-cn': undefined,
    'zh-tw': undefined,
};
const isValidLocale = (locale) => locale in locales;
const useIntl = () => {
    const intl = (0, react_intl_1.useIntl)();
    const locale = isValidLocale(intl.locale) ? intl.locale : 'ja';
    const localize = (0, react_1.useCallback)((descriptor, values, opts) => intl.formatMessage({ ...descriptor, defaultMessage: descriptor.defaultText }, values, opts), [intl]);
    const formatDate = (0, react_1.useCallback)((date, opts) => intl.formatDate(date, { ...DATE_FORMATS[locale], ...opts }), [intl, locale]);
    return { localize, formatDate };
};
exports.useIntl = useIntl;
//# sourceMappingURL=useIntl.js.map